For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

token holders

get

https://pro-api-dev.solscan.io/v2.0/token/holders

Get the list of token holders

QUERY PARAMS

address

string

required

Solana token (mint) address

page

number

Page number for pagination

page_size

number

Number of items per page

from_amount

string

Filter holders by minimum token holding amount. The number should be in string format

to_amount

string

Filter holders by maximum token holding amount. The number should be in string format

from_value

number

Filter holders by minimum token holding value(USD).

to_value

number

Filter holders by maximum token holding value(USD).

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

total

number

The total number of holders of this token

address

string

The address of the token account holding the token

amount

number

The number of amount holding

amount_str

string

The number of amount holding in string format

decimals

number

Decimals of token

owner

string

The address of the owner holding the token

rank

number

The rank of the holder, sorted from the largest

value

number

The holding value in USD

percentage

number

The holding percentage

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples